Bug 1001130 - [abrt] libreoffice-core-4.1.0.4-6.fc19: (anonymous namespace)::lclCloneCell: Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.0.4-6.fc19: (anonymous namespace)::lclCloneCell: ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:9754bc6d3a438ca140457705a98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 10:30 EDT by Steven Oliphant
Modified: 2013-10-08 08:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 08:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.95 KB, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: core_backtrace (22.48 KB, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: dso_list (20.36 KB, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: environ (1.79 KB, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: maps (60.64 KB, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: open_fds (589 bytes, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details
File: var_log_messages (326 bytes, text/plain)
2013-08-26 10:30 EDT, Steven Oliphant
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 68220 None None None Never

  None (edit)
Description Steven Oliphant 2013-08-26 10:30:05 EDT
Version-Release number of selected component:
libreoffice-core-4.1.0.4-6.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: (anonymous namespace)::lclCloneCell
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.10.6-200.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 (anonymous namespace)::lclCloneCell at /usr/src/debug/libreoffice-4.1.0.4/sc/source/core/data/cell.cxx:55
 #1 ScBaseCell::Clone at /usr/src/debug/libreoffice-4.1.0.4/sc/source/core/data/cell.cxx:84
 #2 ScColumn::CopyCellToDocument at /usr/src/debug/libreoffice-4.1.0.4/sc/source/core/data/column.cxx:1365
 #3 ScTable::CopyCellToDocument at /usr/src/debug/libreoffice-4.1.0.4/sc/source/core/data/table2.cxx:694
 #4 ScDocument::CopyCellToDocument at /usr/src/debug/libreoffice-4.1.0.4/sc/source/core/data/document.cxx:2057
 #5 ScConversionEngineBase::FindNextConversionCell at /usr/src/debug/libreoffice-4.1.0.4/sc/source/ui/view/spelleng.cxx:113
 #6 ScSpellDialogChildWindow::GetNextWrongSentence at /usr/src/debug/libreoffice-4.1.0.4/sc/source/ui/view/spelldialog.cxx:83
 #7 svx::SpellDialog::GetNextSentence_Impl at /usr/src/debug/libreoffice-4.1.0.4/cui/source/dialogs/SpellDialog.cxx:1060
 #8 svx::SpellDialog::SpellContinue_Impl at /usr/src/debug/libreoffice-4.1.0.4/cui/source/dialogs/SpellDialog.cxx:384
 #9 svx::SpellDialog::ChangeHdl at /usr/src/debug/libreoffice-4.1.0.4/cui/source/dialogs/SpellDialog.cxx:560
Comment 1 Steven Oliphant 2013-08-26 10:30:10 EDT
Created attachment 790536 [details]
File: backtrace
Comment 2 Steven Oliphant 2013-08-26 10:30:14 EDT
Created attachment 790537 [details]
File: cgroup
Comment 3 Steven Oliphant 2013-08-26 10:30:18 EDT
Created attachment 790538 [details]
File: core_backtrace
Comment 4 Steven Oliphant 2013-08-26 10:30:24 EDT
Created attachment 790539 [details]
File: dso_list
Comment 5 Steven Oliphant 2013-08-26 10:30:28 EDT
Created attachment 790540 [details]
File: environ
Comment 6 Steven Oliphant 2013-08-26 10:30:31 EDT
Created attachment 790541 [details]
File: exploitable
Comment 7 Steven Oliphant 2013-08-26 10:30:35 EDT
Created attachment 790542 [details]
File: limits
Comment 8 Steven Oliphant 2013-08-26 10:30:39 EDT
Created attachment 790543 [details]
File: maps
Comment 9 Steven Oliphant 2013-08-26 10:30:43 EDT
Created attachment 790544 [details]
File: open_fds
Comment 10 Steven Oliphant 2013-08-26 10:30:47 EDT
Created attachment 790545 [details]
File: proc_pid_status
Comment 11 Steven Oliphant 2013-08-26 10:30:51 EDT
Created attachment 790546 [details]
File: var_log_messages
Comment 12 Eike Rathke 2013-08-26 13:54:04 EDT
Judging from the backtrace this seems to be related to spell-checking. I can reproduce some crasher in 4.1.0 when the second cell in the same column is to be replaced, but this does not occur in a 4.1.1 build. Looks like it is fixed upstream.
Comment 13 Eike Rathke 2013-08-27 13:21:20 EDT
Presumably https://bugs.freedesktop.org/show_bug.cgi?id=68220

Note You need to log in before you can comment on or make changes to this bug.